#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <fcntl.h>
#include <termios.h>
#include "ib.h"

int
main(int argc, char *argv[])
{
   char buf[768];
   int len;
   int i;

   ibdev(0, 1, 0, 1000, 1, REOS | '\n');

   for (i=0; i<1000; i++) {
      ibwrtcmd(0, "ver", 3);
      len = ibrdcmd(0, buf, sizeof(buf));
      if (len < 1) continue;

      buf[len]=0;
      if (!(i%500)) printf("%.5d read %d ID from device 1\n%s", i, len, buf);
   }

   for (i=0; i<100; i++) {
      ibwrt(0, "id?", strlen("id?"));
      len = ibrd(0, buf, sizeof(buf));
      if (len < 1) continue;

      buf[len]=0;
      printf("%.4d read %d %s", i, len, buf);
   }

   /* binary data */
   ibeos(0, '\n');

   for (i=0; i<1000; i++) {
      ibwrt(0, "curve?", strlen("curve?"));
      len = ibrd(0, buf, 512);
      if (len < 1) continue;

      buf[11]=0;
      printf("%.4d read %d %s\n", i, len, buf);
   }
}
