#ifndef __TDS_H__
#define __TDS_H__

typedef unsigned char uint8_t;
typedef unsigned short uint16_t;
typedef unsigned int uint32_t;

struct gpib_hdr {
	uint8_t cmd;
	uint8_t csum;
	uint16_t len;
};

struct gpib_cmd {
	uint32_t u0;
	uint32_t u1;
	uint32_t function;
	uint32_t arg0;
	uint8_t data[0];
};

struct gpib_args {
	struct gpib_hdr hdr;
	struct gpib_cmd *cmd;
};

extern int command(int arg, uint8_t *buf, int len);

#endif /* __TDS_H__ */
