/* Export the linker symbols for a bare metal bootrom Tek TDS */

#ifndef __LINKER_SYMBOLS__
#define __LINKER_SYMBOLS__

extern unsigned long _stext[];
extern unsigned long _sctors[];
extern unsigned long _ectors[];
extern unsigned long _sdtors[];
extern unsigned long _edtors[];
extern unsigned long _erodata[];
extern unsigned long _srodata[];
extern unsigned long _etext[];
extern unsigned long _sdata[];
extern unsigned long _ebss[];
extern unsigned long _end[];
extern unsigned long _sbss[];
extern unsigned long _sstack[];
extern unsigned long _edata[];
extern unsigned long _estack[];

#define EXPORT_LABEL(X) asm(".global __"#X"; __"#X": .weak _"#X"; .set _"#X",__"#X)

#endif /* __LINKER_SYMBOLS__ */
