OUTPUT_FORMAT("elf32-m68k")

MEMORY
{
	ram    : o = 0x05010000, l = 0xC0000
}

SECTIONS 				
{
.text :	{
	_svect = .;
	*(.vect)
	_evect = .;
	_stext = .;
	*(.text.crt)
	*(.text.startup)
	*(.text.exit)
	*(.text)
	*(.strings)
	. = ALIGN(4);
   	 _etext = . ; 
	}  > ram

.tors : {
	_sctors = . ;
	*(.ctors)
	_ectors = . ;
	_sdtors = . ;
	*(.dtors)
	_edtors = . ;
	. = ALIGN(4);
	}  > ram

.rodata : {
	_srodata = .;
	*(.rodata*)
	. = ALIGN(4);
	_erodata = .;
	*(.eh*)
	} >ram

.data : {
	*(.data.crt)
	*(.data)
	. = ALIGN(4);
	_edata = . ;
	}  > ram

.bss (NOLOAD) : {
	_sbss = .;
	*(.bss)
	*(COMMON)
	. = ALIGN(4);
	_ebss = .;
	_sstack = .;
	_end = .;
	}  >ram

_estack = ORIGIN(ram) + LENGTH(ram);
}
